function [rev,om] = rtxxfourier3(ir,fs,F,NFFT)
% Q=2..8, 

ppp=2; %(energia);
k = 3*log(10);
mit=10.^(nincsnan(edcn(ir,ppp))./(2/ppp*10));
% NFFT=length(ir);
B=fft(mit,NFFT);
lao=(real(B)./imag(B));
% om=2*pi.*(0:1/(length(ir)-1):1).*fs;
% om = linspace(0, 2*pi, NFFT+1); om = om(1:end-1).*fs;
f = fs/2*linspace(0,1,NFFT/2+1); om = 2*pi.*f;
start=find(f>=F,1,'first'); stop=find(f<=F,1,'last');
Q=round(start:1:stop); if isempty(Q), Q=start-1; if Q<1, Q=NaN; end; end; %Q
rx=-nanmean(om(Q).*lao(Q));
rev=ppp*k./rx;